Bug 164081 - Logitech mouse does not work anymore
Logitech mouse does not work anymore
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-24 09:28 EDT by Patrick Monnerat
Modified: 2015-01-04 17:21 EST (History)
3 users (show)

See Also:
Fixed In Version: kernel-smp-2.6.15-1.1831_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-08 08:38:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The /etc/dmesg file after booting kernel 2.6.12-1.1376_FC3smp (15.50 KB, text/plain)
2005-10-31 08:44 EST, Patrick Monnerat
no flags Details
The /var/log/message file after booting kernel 2.6.12-1.1376_FC3smp (32.11 KB, text/plain)
2005-10-31 08:45 EST, Patrick Monnerat
no flags Details

  None (edit)
Description Patrick Monnerat 2005-07-24 09:28:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
The Logitech Cordless Wheel Mouse does not work anymore with kernel-smp-2.6.12-1.1372_FC3. It worked with kernel-smp-2.6.11-1.27_FC3 and it still works with kernel-2.6.12-1.1372_FC3.

A message appears in the /var/log/message file:
Jul 24 14:52:00 localhost kernel: psmouse.c: Failed to enable mouse on isa0060/serio1

gpm still recognize it without error:
Jul 24 14:52:05 localhost gpm[2948]: imps2: Auto-detected intellimouse PS/2

The problem occurs in text and in graphics mode.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.12-1.1372_FC3

How reproducible:
Always

Steps to Reproduce:
1. Install the hardware
2. Boot kernel-smp-2.6.11-1.27_FC3
3. Try to use the mouse
  

Actual Results:  Nothing

Expected Results:  Mouse cursor motion

Additional info:
Comment 1 Patrick Monnerat 2005-08-29 08:49:34 EDT
Works with kernel-smp-2.6.12-1.1376_FC3. Thank you so much!
Comment 2 Patrick Monnerat 2005-08-30 03:41:18 EDT
Oops, closed the bug report too fast.
It works when kernel-smp is booted after a reboot; but problem still occurs upon
cold boot (After power down).
In any case, the error message has disappeared from the log.
Single-processor kernel still working.
Reopening the bug... sorry.
Comment 3 Patrick Monnerat 2005-10-03 16:35:59 EDT
... still not OK with kernel-smp-2.6.12-1.1378_FC3 ...
Comment 4 Patrick Monnerat 2005-10-24 14:08:19 EDT
... same with kernel-smp-2.6.12-1.1380_FC3 ...
I feel like I'm abandoned !

By the way, is there somebody reading (and handling) such a bug report, or do I 
carry on talking alone ??? Can we expect to have a working smp kernel for 
logitech and FC3 some day before it goes to legacy ? Many thanks for the reply 
(-ies ???)
Comment 5 Jeffrey Moyer 2005-10-27 22:12:15 EDT
could you post the output from dmesg?  are there any log entries which may
indicate what the problem is?
Comment 6 Patrick Monnerat 2005-10-31 08:44:06 EST
Created attachment 120563 [details]
The /etc/dmesg file after booting kernel 2.6.12-1.1376_FC3smp
Comment 7 Patrick Monnerat 2005-10-31 08:45:08 EST
Created attachment 120564 [details]
The /var/log/message file after booting kernel 2.6.12-1.1376_FC3smp
Comment 8 Dave Jones 2006-01-16 17:12:38 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 9 Patrick Monnerat 2006-01-17 05:21:34 EST
In Fedora core 4, initial smp kernel (kernel-smp-2.6.11-1.1369) works badly: 
mouse moves are "jumpy" (not smooth), but it works.
The Logitech Cordless Wheel mouse does not work with the latest smp kernel 
(kernel-smp-2.6.14-1.1656), but still runs perfectly with the single processor 
version.
Comment 10 Dave Jones 2006-02-03 00:54:04 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 11 Patrick Monnerat 2006-02-08 08:38:06 EST
Seems to be OK with kernel-smp-2.6.15-1.1831_FC4, even after a shutdown and a 
cold boot.
Closing this bug for the 2nd time ('hope there won't be a 3rd!).

Note You need to log in before you can comment on or make changes to this bug.